You are Here:
Download Linux Lite 5.6 Final today - See Release Announcements



X Close Ad
X Close Ad
How to get the ndiswrapper to work on an old wireless adapter card

Author (Read 4630 times)

0 Members and 1 Guest are viewing this topic.

 

AndyOpie150

  • Guest
First make sure your wireless cards Driver folder with the LSTINDS.INF file (or what ever your .INF file is) is in your home folder.

Then in a terminal type in:
Code: [Select]
sudo su
apt-get install ndisgtk

Open up ndisgtk (might be labeled "wireless drivers")
Follow the prompts.

If using the ndiswrapper packages in the synaptic package manager does not work:
What worked for me on my old SONY VAIO all in one desktop, was the ndiswrapper-1.58. I managed to find a link here: http://downloads.sourceforge.net/ndiswrapper/ndiswrapper-1.58.tar.gz.

Put it in the home folder.
Open up terminal and type in:
Code: [Select]
tar xzf ndiswrapper-1.58.tar.gz -C /home/(username)

Then open up the ndiswrapper-1.58 folder and right click on an open area. Select to "open terminal here".
Then type in:
Code: [Select]
sudo make uninstall
make
sudo make install

No open up terminal in the home folder and type in:
Code: [Select]
sudo ndiswrapper -i (exact name of driver folder)/(exact name/and or path inside the driver folder of/to the .INF file)
sudo modprobe ndiswrapper
sudo su
echo ndiswrapper >> /etc/modules
exit

If everything installed with no errors, then reboot.
After reboot configure your network (keeping in mind that ndiswrapper only allows for WEP network security).
I ended up setting up a guest network on the router with just WEP security for my old wireless adapter card

Had a little bit of a struggle with the old IBM ThinkPad G40. Install of ndiswrapper-1.58 and 1.59 kept erroring out.

I dropped back to a set of ndiswrapper-1.57 packages I had saved from an install of Xubuntu back in 2012.
Installed the ndiswrapper-common, and the ndiswrapper-utils with no problem using terminal and "sudo dpkg -i (full name of package)".

Had dependency problem with the dkms. Downloaded and tried to install the gcc, but it to had dependency problems, so I opened up the synaptic package manager and used the broken pakage filter to install the gcc and then the dkms.
Was able to then install the ndiswrapper-dkms using terminal with no problem (this made the all important module).

If you had problems with the ndiswrapper-1.58 and 1.59 then let me know and I will upload the ndiswrapper-1.57 packages to my Mediafire account and post link.

Note: Before trying a different ndiswrapper you must first type in this from a terminal:
Code: [Select]
sudo su
ndiswrapper -e lstinds
Last Edit: June 10, 2014, 10:10:08 AM by AndyOpie150
 


Tags:
 

X Close Ad
X Close Ad

Download Linux Lite 5.6 Final today - See Release Announcements